summaryrefslogtreecommitdiffstats
path: root/buildtools/appveyor.sh
diff options
context:
space:
mode:
authorPatrick Storz <eduard.braun2@gmx.de>2019-06-08 23:25:47 +0000
committerPatrick Storz <eduard.braun2@gmx.de>2019-06-09 00:46:23 +0000
commit96b241fb243ab79600aaeb29b38f4d163e753bd3 (patch)
treec806816e352990b2924fbafad5e91c25e1bdd7d7 /buildtools/appveyor.sh
parentCMake: Use bin subfolder for binaries on Windows (diff)
downloadinkscape-96b241fb243ab79600aaeb29b38f4d163e753bd3.tar.gz
inkscape-96b241fb243ab79600aaeb29b38f4d163e753bd3.zip
CI: Update for move to bin/
Also add --working-directory switch to dependency checking script.
Diffstat (limited to 'buildtools/appveyor.sh')
-rw-r--r--buildtools/appveyor.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/buildtools/appveyor.sh b/buildtools/appveyor.sh
index cfd289886..36af0dcef 100644
--- a/buildtools/appveyor.sh
+++ b/buildtools/appveyor.sh
@@ -68,14 +68,14 @@ appveyor SetVariable -Name APPVEYOR_SAVE_CACHE_ON_ERROR -Value true # build succ
# install
message "--- Installing the project"
ninja install || error "installation failed"
-python ../buildtools/msys2checkdeps.py check inkscape/ || error "missing libraries in installed project"
+python ../buildtools/msys2checkdeps.py check inkscape -w inkscape/bin || error "missing libraries in installed project"
# test
message "--- Running tests"
# check if the installed executable works
-inkscape/inkscape.exe -V || error "installed executable won't run"
-PATH= inkscape/inkscape.exe -V >/dev/null || error "installed executable won't run with empty PATH (missing dependencies?)"
-err=$(PATH= inkscape/inkscape.exe -V 2>&1 >/dev/null)
+inkscape/bin/inkscape.exe -V || error "installed executable won't run"
+PATH= inkscape/bin/inkscape.exe -V >/dev/null || error "installed executable won't run with empty PATH (missing dependencies?)"
+err=$(PATH= inkscape/bin/inkscape.exe -V 2>&1 >/dev/null)
if [ -n "$err" ]; then warning "installed executable produces output on stderr:"; echo "$err"; fi
# check if the uninstalled executable works
ninja inkscape_datadir_symlink